---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: attachments
  namespace: attachments
spec:
  values:
    services:
      attachments:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/attachments:0.0.9
        envs:
        - name: DATABASE_HOST
          value:
            _default: postgres-service.attachments.svc.cluster.local
        - name: DATABASE_PORT
          value:
            _default: '5432'
        - name: DATABASE_NAME
          value:
            _default: attachments
        - name: POSTGRES_POOL_SIZE
          value:
            _default: '10'
        - name: API_ADDRESS
          value:
            _default: 0.0.0.0:8000
        - name: DATABASE_SSL_MODE
          value:
            _default: disable
        - name: YANDEX_S3_VERIFY
          value:
            _default: 'False'
        - name: YANDEX_S3_USE_SSL
          value:
            _default: 'False'
        - name: YANDEX_S3_ACCOUNT_PATH
          value:
            _default: /etc/sarex/yc-s3-storage/yc-s3-service-account.json
        - name: BUCKET_NAME
          value:
            _default: attachments
